# Webhook

BugSplat’s Webhook integration allows your team to configure custom notifications for each new report or group of reports. BugSplat's Webhook integration allows you to build integrations unique and novel integrations that can be tailor-fit to your company's workflow.

## Configuring a BugSplat Webhook <a href="#integrating-slack-with-bugsplat-docs" id="integrating-slack-with-bugsplat-docs"></a>

1. Login to [BugSplat](https://app.bugsplat.com/cognito/login) and navigate to the [Notifications](https://app.bugsplat.com/v2/database/integrations#notifications) page.
2. Select the Database for which you'd like to configure alerts.
3. Under the **Webhook** section, enter the URL of the webhook you would like to invoke and click **Update**.
4. Use the toggle buttons to set your notification preferences. You can be notified for each new report or unique report group.

Once configured, BugSplat will post an object that matches the following interface to your Webhook. Unlike other notifications, Webhook crash notifications have no maximum throughput limitation.

## Webhook Notification

<mark style="color:green;">`POST`</mark> `https://your-domain.com/path/to/your/webhook`

Notification payload for new BugSplat report or new BugSplat group.

#### Request Body

| Name             | Type         | Description                                                                                      |
| ---------------- | ------------ | ------------------------------------------------------------------------------------------------ |
| notificationType | string       | <p>Type of notification: "NewReport", or</p><p>"NewGroup"</p>                                    |
| id               | number       | BugSplat crash ID for new report                                                                 |
| crashTypeId      | number       | Numeric identifier for the platform used to post report                                          |
| stackKeyId       | number       | BugSplat ID for report group                                                                     |
| stackId          | number       | Unique call stack identifier                                                                     |
| stackKeyName     | string       | Function name and line number used to group the report                                           |
| callstack        | object array | Array of stack frame objects. May be empty if BugSplat matches an existing crash using the hash. |
| database         | string       | BugSplat database where report is stored                                                         |
| application      | string       | Application name associated with report                                                          |
| version          | string       | Version associated with report                                                                   |
| key              | string       | Identifier for specific flavor of application associated with report                             |
| user             | string       | End-user associated with generated report                                                        |
| email            | string       | End-user's email associated with generated report                                                |
| ipAddress        | string       | End-user's IP address (can be obfuscated via Options page)                                       |
| hash             | string       | Hash representing unique report call stack. Not available for all crashes.                       |
| exceptionCode    | string       | Code associated with issue that caused the report to be generated                                |
| exceptionMessage | string       | Message associated with issue that caused the report to be generated                             |
| received         | datetime     | Timestamp of generated report                                                                    |
| platform         | string       | Human-readable platform name (e.g., "Windows", "macOS", "Crashpad/Breakpad", "Unity")            |
| crashFileUrl     | string       | Presigned URL to download the crash file. URL expires after a limited time.                      |
| attributes       | object       | Key-value pairs of custom attributes submitted with the crash report                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bugsplat.com/introduction/development/integrating-with-tools/messanger-apps/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
